Std Delete/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(6 intermediate revisions by the same user not shown)
Line 2: Line 2:


{{Docnav
{{Docnav
|[[Std_SelectAll|Std SelectAll]]
|[[Std_SelectAll|SelectAll]]
|[[Std_SendToPythonConsole|SendToPythonConsole]]
|[[Std Placement|Std Placement]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_SelectAll.svg
|IconL=Std_SelectAll.svg
|IconR=Std_SendToPythonConsole.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
|IconR=Std_Placement.svg
}}
}}


Line 16: Line 16:
==Descriere==
==Descriere==


<div class="mw-translate-fuzzy">
Această comandaă șterge obiect(ul)ele selectate. Dacă nu este selectat nici un obiect, nimic nu se întâmplă.
Această comandaă șterge obiect(ul)ele selectate. Dacă nu este selectat nici un obiect, nimic nu se întâmplă.
</div>


<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Obiect(ul)ele selectatea pot fi șterse din document apăsând {{KEY|DEL}}, din meniul Edit → Delete, sau din vizualizarea arborescentă meniul contextual. Toate operațiunile de ștergere pot anulate(undone) și reluate(redone).
Obiect(ul)ele selectatea pot fi șterse din document apăsând {{KEY|DEL}}, din meniul Edit → Delete, sau din vizualizarea arborescentă meniul contextual. Toate operațiunile de ștergere pot anulate(undone) și reluate(redone).
</div>
</div>

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To delete an object use the {{incode|removeObject}} method of the document object.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.removeObject("myObjectName")
}}


{{Docnav
{{Docnav
|[[Std_SelectAll|Std SelectAll]]
|[[Std_SelectAll|SelectAll]]
|[[Std_SendToPythonConsole|SendToPythonConsole]]
|[[Std Placement|Std Placement]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_SelectAll.svg
|IconL=Std_SelectAll.svg
|IconR=Std_SendToPythonConsole.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
|IconR=Std_Placement.svg
}}
}}


{{Std Base}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}


{{clear}}
{{clear}}

Latest revision as of 09:21, 29 December 2020

Std Delete

Menu location
Edit → Delete
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Descriere

Această comandaă șterge obiect(ul)ele selectate. Dacă nu este selectat nici un obiect, nimic nu se întâmplă.

Utilizare

Obiect(ul)ele selectatea pot fi șterse din document apăsând DEL, din meniul Edit → Delete, sau din vizualizarea arborescentă meniul contextual. Toate operațiunile de ștergere pot anulate(undone) și reluate(redone).

Scripting

See also: FreeCAD Scripting Basics.

To delete an object use the removeObject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.removeObject("myObjectName")